+++
title = 'Intro'
date = 2024-01-11T17:48:10-05:00
draft = false
tags = ["Intro"]
+++

![freebsd daemon holding a trans flag instead of their usual trident](/freebsdTrans.png "freebsd daemon holding a trans flag instead of their usual trident")

## Bonjour !

Je m'appelle violette. Je suis étudiante (pour encore quelques mois seulement!)
à l'université de Sherbrooke, Québec ainsi que Polytech Annecy Chambéry, France.
J'y étudis l'informatique.

Ce "blog" me permettera de partager mes horribles fautes d'ortaugraffe, et de
ventiller mes point de vue sur certaines technologies, ou avanacement que je
pourrais faire.

Je suis très interessée par l'informatique de bas niveau. J'aime aller regarder
comment fonctionne un ordinateur au plus bas niveaux. Pour ce faire, j'aime
aller fouiller dans le code de différentes saveurs de BSD (FreeBSD
principalement) ainsi que Linux.

Pendant mon temps libre, on peut me trouver faire des sons horribles à la
guitare, me plaindre que j'arrive jamais à prendre de photo nettes ou bien 
essayer de patcher ce tabar@#0! de [dwl](https://codeberg.org/dwl/dwl).

## Notes sur le site
Je n'aime pas vraiment toucher au "front end", car pour moi c'est juste une
façon de décorer. J'aime quand quelque chose est esthétiquement simple, et
je déteste particulièrement le JavaScript dans un contexte Web. C'est une
autoroute qui mène trop souvent à charger des miriades de libriaries inutiles,
et ralenti voir polu le Web. Pour cette raison, ce site n'en utilise pas.

### Thème sombre
Comme je m'interdit le JS, je ne peux pas stocker de variable, et ainsi
le site ne peux pas se rappeller du thème préfèré de l'utilisateur.ice, et donc
celui-ci est réinitialisé (selon les préférences du système / navigateur) à
chaque changement de page.

### Langues
J'essairais de traduire les postes important en anglais (ou français, selon le
sens), mais je garderais les postes technologiques en anglais seulement.

## Contacts
Voici les moyens que je propose pour me contacter:
* mail: `vi@violette.town`
* matrix (\~personnel) : `@violette:bigblase.xyz`
* FediVerse (personnel uniquement) : `@violets@tech.lgbt`

## "Professionnel"
Voila mon
[CV](https://git.violette.town/violette/cv/raw/branch/typst/main_public_fr.pdf)!
